Class | Net::FTPTLS
In: | openssl/lib/net/ftptls.rb
Parent: | FTP

### Methods

login

### Public Instance methods

login(user = "anonymous", passwd = nil, acct = nil)

[Source]

    # File openssl/lib/net/ftptls.rb, line 32
        def login(user = "anonymous", passwd = nil, acct = nil)
           ctx = OpenSSL::SSL::SSLContext.new('SSLv23')
           ctx.key = nil
           ctx.cert = nil
           voidcmd("AUTH TLS")
           @sock = OpenSSL::SSL::SSLSocket.new(@sock, ctx)
           @sock.connect
           super(user, passwd, acct)
           voidcmd("PBSZ 0")
        end

[Validate]